Your postback notification for an accepted subscription.
POST /order/example-postback-to-banking-subscription-accepted/[your_notification_url]
Every time a transaction has its status changed, your system will receive a notification from ours, so that you know if transactions were paid.
We expect that your system returns to ours: status code 200. If not, we’ll retry 4 more times.
Request Body required
Section titled “Request Body required ”object
Webhook event for an accepted subscription.
Example
SUBSCRIPTION.ACCEPTEDWhen the event occurred (UTC ISO-8601).
Example
2026-02-19T13:40:05.020ZThe updated subscription data.
object
Identifier of the subscription.
Example
550e8400-e29b-41d4-a716-446655440000The unique code on the partner system.
Example
partner-idStatus of the subscription.
Example
ACCEPTEDPayer that accepted the subscription. Only sent when the financial partner reports the payer data.
object
Document of the payer who accepted the subscription.
object
Document type
Example
CPFDocument number
Example
12345678901Bank account data of the payer.
object
Branch number of the payer bank account.
Example
0001Account number of the payer bank account.
Example
12345678ISPB of the payer bank account.
Example
12345678IBGE code of the city of the payer.
Example
3550308Basic data of the initial charge. Only sent when the subscription was created with an initial charge.
object
Identifier of the order for the initial charge.
Example
9c8f1b40-2f2e-4d3a-9b1f-7c1e2a4d5f60Amount of the initial charge.
object
The currency field.
Example
BRLThe value field.
Example
10.95Example
{ "currency": "BRL", "value": "10.00"}PIX end-to-end id of the initial charge, when it has already been settled.
Example
E12345678202602191341a1b2c3d4e5Examples
SUBSCRIPTION.ACCEPTED
The payer authorized the subscription.
{ "event": "SUBSCRIPTION.ACCEPTED", "occurredAt": "2026-02-19T13:40:05.020Z", "data": { "id": "550e8400-e29b-41d4-a716-446655440000", "externalId": "subscription-2024-0001", "status": "ACCEPTED", "payer": { "document": { "type": "CPF", "number": "52998224725" }, "bank": { "branchNumber": "0001", "accountNumber": "12345678", "ispb": "12345678" }, "ibgeCode": "3550308" } }}SUBSCRIPTION.ACCEPTED - with initial charge
The “initialCharge” object is only sent when the subscription was created with an initial charge. The “endToEndId” is only sent after the initial charge has been settled.
{ "event": "SUBSCRIPTION.ACCEPTED", "occurredAt": "2026-02-19T13:40:05.020Z", "data": { "id": "1f9a2b6c-6a0e-4a5e-9a1f-6d4f1f6f6b21", "externalId": "subscription-2024-0002", "status": "ACCEPTED", "payer": { "document": { "type": "CPF", "number": "52998224725" }, "bank": { "branchNumber": "0001", "accountNumber": "12345678", "ispb": "12345678" }, "ibgeCode": "3550308" }, "initialCharge": { "id": "9c8f1b40-2f2e-4d3a-9b1f-7c1e2a4d5f60", "amount": { "currency": "BRL", "value": "10.00" }, "endToEndId": "E12345678202602191341a1b2c3d4e5" } }}Responses
Section titled “ Responses ”The resource was returned successfully
object
The current page.
Example
SUCCESS